from PyQt5 import QtCore, QtGui, QtWidgets


class PGraphWidget(QtWidgets.QWidget):
    def __init__(self, parent):
        QtWidgets.QWidget.__init__(self, parent)


class CurvesStylesCombo(QtWidgets.QComboBox):
    
    def __init__(self, parent):
        QtWidgets.QComboBox.__init__(self, parent)
        self.setObjectName("CurvesStyles")
        self.resize(160,27)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap("icons/dot.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.addItem(icon, "")
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap("icons/dots+lines.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.addItem(icon1, "")
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap("icons/lines.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.addItem(icon2, "")
        ##### SPLINE ???
        #icon3 = QtGui.QIcon()
        #icon3.addPixmap(QtGui.QPixmap("icons/dots+splines.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        #self.addItem(icon3, "")
        #icon4 = QtGui.QIcon()
        #icon4.addPixmap(QtGui.QPixmap("icons/splines.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        #self.addItem(icon4, "")


        self.retranslateUi()
        QtCore.QMetaObject.connectSlotsByName(self)

    def retranslateUi(self):
        _translate = QtCore.QCoreApplication.translate
        #self.setWindowTitle(_translate("Form", "Form"))
        self.setItemText(0, _translate("CurvesStyles", "Nuage de points"))
        self.setItemText(1, _translate("CurvesStyles", "Points+Lignes"))
        self.setItemText(2, _translate("CurvesStyles", "Lignes"))
        self.setItemText(3, _translate("CurvesStyles", "Points+Courbe"))
        self.setItemText(4, _translate("CurvesStyles", "Courbe"))
        
if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    w = CurvesStylesCombo(None)
    w.show()
    sys.exit(app.exec_())